#if !defined(AFX_LOGODIALOG_H__B1F25FAB_E506_45EF_B154_30C5B83D5FC5__INCLUDED_)
#define AFX_LOGODIALOG_H__B1F25FAB_E506_45EF_B154_30C5B83D5FC5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LogoDialog.h : header file
//

#include "fontFind/GetFontFile.h"		//utility for finding font filename

/////////////////////////////////////////////////////////////////////////////
// LogoDialog dialog

class LogoDialog : public CDialog
{
// Construction
public:
	void FillListBox();
	
	void resetInit();
	

	LogoDialog(CWnd* pParent = NULL);   // standard constructor

	static int CALLBACK EnumFontFamProc (ENUMLOGFONT* lpelf,
		NEWTEXTMETRIC* lpntm, int nFontType, LPARAM lParam);

	int nIndex;
	float nRed;
	float nGreen;
	float nBlue;

// Dialog Data
	//{{AFX_DATA(LogoDialog)
	enum { IDD = IDD_DIALOG1 };
	CButton	m_radioSource;
	CSliderCtrl	m_scale;
	CSliderCtrl	m_redFill;
	CSliderCtrl	m_OutlineWidth;
	CSliderCtrl	m_greenFill;
	CSliderCtrl	m_blueFill;
	CSliderCtrl	m_alphaFill;
	CSliderCtrl	m_height;
	CSliderCtrl	m_alpha;
	CSliderCtrl	m_red;
	CSliderCtrl	m_green;
	CSliderCtrl	m_blue;
	CEdit	m_editbox;
	CListBox	m_listBox;
	CString	m_editString;
	CString	m_fontFileName;
	CString	m_fontFullName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(LogoDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	//}}AFX_VIRTUAL

// Implementation
protected:

	CFont m_fontMain;
    CFont m_fontSample;

	// Generated message map functions
	//{{AFX_MSG(LogoDialog)
	afx_msg void OnSelchangeList1();
	afx_msg void OnChangeEdit1();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSliderRed(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSliderGreen(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnControl1();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnRadio4();
	afx_msg void OnRadio5();
	afx_msg void OnRadio6();
	afx_msg void OnRadio7();
	afx_msg void OnRadio8();
	afx_msg void OnRadio9();
	afx_msg void OnRadio10();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOGODIALOG_H__B1F25FAB_E506_45EF_B154_30C5B83D5FC5__INCLUDED_)
