//-------------------------------------------------------------------------------
//
//		Keith Burgess 2004 - header file for pixmap text output
//
//
//-------------------------------------------------------------------------------


#ifndef __MYLOGO_H__
#define __MYLOGO_H__

#include "gltt-source/GLTTOutlineFont.h"
#include "gltt-source/GLTTFont.h"
#include "gltt-source/FTFace.h"
#include "Colour.h"

//KGB added class for control of vectorized font display

class CmyLogo  
{

public:
	
	
		GLTTOutlineFont outline;
		GLTTFont fontFill;
		//FTFace face;
		CString stringName;
		CString fontPath;
		CString fontFileName;
		CString fontFile;
		int pointsize;
		float CP;			//used to find centre point of type points
		double height;		
		float outlineWidth;

		float scale;
		
		Colour logoOutlineColour;
		Colour logoFillColour;

		float spinSpeedX;	//amount of logo rotation increment
		float spinSpeedY;
		float spinSpeedZ;

		float spinDegX;		//amount of logo rotation degrees
		float spinDegY;
		float spinDegZ;

		int ListIndex;
		
		int PivotX;
		int PivotY;
		int PivotZ;




		BOOL isExtruded;

		CmyLogo();
		~CmyLogo();
		
		void CreateLogo();

		void UpdateSpin();

		CString GetLogoString();
		void SetLogoString(CString str);

		void SetCP();

		GLTTboolean CmyLogo::transformPoints( int i );
};



#endif

void initLogo();

