// FadeControlDialog.cpp : implementation file
//

#include "stdafx.h"
#include "type.h"
#include "FadeControlDialog.h"
#include "myText.h"
#include <vector>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

using namespace std;

extern vector<CmyText*> CmyTextList;

/////////////////////////////////////////////////////////////////////////////
// FadeControlDialog dialog


FadeControlDialog::FadeControlDialog(CWnd* pParent /*=NULL*/)
	: CDialog(FadeControlDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(FadeControlDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void FadeControlDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(FadeControlDialog)
	DDX_Control(pDX, IDC_SLIDER2, m_sentanceTime);
	DDX_Control(pDX, IDC_CHECK_FADEOUT, m_fadeOut);
	DDX_Control(pDX, IDC_CHECK_FADEIN, m_fadin);
	DDX_Control(pDX, IDC_SLIDER1, m_fadeSlider);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(FadeControlDialog, CDialog)
	//{{AFX_MSG_MAP(FadeControlDialog)
	ON_BN_CLICKED(IDC_CHECK_FADEIN, OnCheckFadein)
	ON_BN_CLICKED(IDC_CHECK_FADEOUT, OnCheckFadeout)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// FadeControlDialog message handlers

BOOL FadeControlDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	if(CmyTextList[0]->fin==1) m_fadin.SetCheck(BST_CHECKED);
	if(CmyTextList[0]->fout==1) m_fadeOut.SetCheck(BST_CHECKED);

	m_fadeSlider.SetRange(4,50);
	m_fadeSlider.SetPos(CmyTextList[0]->fadeSpeed*50);

	m_sentanceTime.SetRange(4,500);
	m_sentanceTime.SetPos(CmyTextList[0]->displayTime);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void FadeControlDialog::OnOK() 
{
	CmyTextList[0]->fadeSpeed = (float)m_fadeSlider.GetPos()/50;
	CmyTextList[0]->displayTime = m_sentanceTime.GetPos();
	
	CDialog::OnOK();
}

void FadeControlDialog::OnCheckFadein() 
{
	CmyTextList[0]->fin = m_fadin.GetCheck();
	
}

void FadeControlDialog::OnCheckFadeout() 
{
	CmyTextList[0]->fout = m_fadeOut.GetCheck();
	
}
