// myLogoSpin.cpp : implementation file
//

#include "stdafx.h"
#include "type.h"
#include "myLogoSpin.h"
#include "myLogo.h"
#include <vector>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

using namespace std;

extern vector <CmyLogo*> CmyLogoList;

extern currentLogo;

/////////////////////////////////////////////////////////////////////////////
// myLogoSpin dialog


myLogoSpin::myLogoSpin(CWnd* pParent /*=NULL*/)
	: CDialog(myLogoSpin::IDD, pParent)
{
	//{{AFX_DATA_INIT(myLogoSpin)
	//}}AFX_DATA_INIT
}


void myLogoSpin::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(myLogoSpin)
	DDX_Control(pDX, IDC_SLIDER6, m_pivotZ);
	DDX_Control(pDX, IDC_SLIDER5, m_pivotY);
	DDX_Control(pDX, IDC_SLIDER4, m_pivotX);
	DDX_Control(pDX, IDC_SLIDER3, m_rotZ);
	DDX_Control(pDX, IDC_SLIDER2, m_rotY);
	DDX_Control(pDX, IDC_SLIDER1, m_rotX);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(myLogoSpin, CDialog)
	//{{AFX_MSG_MAP(myLogoSpin)
	ON_BN_CLICKED(IDC_RESETLOGO_ROT, OnResetlogoRot)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// myLogoSpin message handlers

BOOL myLogoSpin::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_rotX.SetRange(0,20);
	m_rotX.SetPos(CmyLogoList[currentLogo]->spinSpeedX + 10 );
	m_rotY.SetRange(0,20);
	m_rotY.SetPos(CmyLogoList[currentLogo]->spinSpeedY  + 10);
	m_rotZ.SetRange(0,20);
	m_rotZ.SetPos(CmyLogoList[currentLogo]->spinSpeedZ  + 10);

	m_pivotX.SetRange(0,200);
	m_pivotX.SetPos(CmyLogoList[currentLogo]->PivotX  + 100);
	m_pivotY.SetRange(0,200);
	m_pivotY.SetPos(CmyLogoList[currentLogo]->PivotY  + 100);
	m_pivotZ.SetRange(0,200);
	m_pivotZ.SetPos(CmyLogoList[currentLogo]->PivotZ  + 100);
	
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void myLogoSpin::OnOK() 
{
	CmyLogoList[currentLogo]->spinSpeedX = (float)m_rotX.GetPos()-10;
	CmyLogoList[currentLogo]->spinSpeedY = (float)m_rotY.GetPos()-10;
	CmyLogoList[currentLogo]->spinSpeedZ = (float)m_rotZ.GetPos()-10;
	CmyLogoList[currentLogo]->PivotX  = (float)m_pivotX.GetPos()-100;
	CmyLogoList[currentLogo]->PivotY  = (float)m_pivotY.GetPos()-100;
	CmyLogoList[currentLogo]->PivotZ  = (float)m_pivotZ.GetPos()-100;

	
	
	CDialog::OnOK();
}

void myLogoSpin::OnResetlogoRot() 
{
	CmyLogoList[currentLogo]->spinSpeedX=0;
	CmyLogoList[currentLogo]->spinSpeedY=0;
	CmyLogoList[currentLogo]->spinSpeedZ=0;
	CmyLogoList[currentLogo]->spinDegX=0;
	CmyLogoList[currentLogo]->spinDegY=0;
	CmyLogoList[currentLogo]->spinDegZ=0;
	CmyLogoList[currentLogo]->PivotX  =0;
	CmyLogoList[currentLogo]->PivotY  = 0;
	CmyLogoList[currentLogo]->PivotZ  = 0;

	m_rotX.SetPos(CmyLogoList[currentLogo]->spinSpeedX + 10 );
	m_rotX.SetPos(CmyLogoList[currentLogo]->spinSpeedY + 10 );
	m_rotX.SetPos(CmyLogoList[currentLogo]->spinSpeedZ + 10 );
	m_pivotX.SetPos(CmyLogoList[currentLogo]->PivotX  + 100);
	m_pivotY.SetPos(CmyLogoList[currentLogo]->PivotY  + 100);
	m_pivotZ.SetPos(CmyLogoList[currentLogo]->PivotZ  + 100);
	
}
